Summary: File transfer utilities between Linux and PalmPilots.
Name: pilot-link
Version: 0.9.3
Release: 10mdk
Source: ftp://ryeham.ee.ryerson.ca/pub/PalmOS/pilot-link.%{version}.tar.bz2 
Patch0: pilot-link-perl-install.patch.bz2
Patch3: pilot-link-pixdir.patch.bz2
Patch4: pilot-link.0.9.3.perl5.6.patch.bz2
Copyright: GPL
Group: Communications
BuildRoot: /var/tmp/%{name}-root
Requires: perl

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical.  Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your Red
Hat Linux system.

%package devel
Requires: pilot-link
Summary: PalmPilot development header files.
Group: Development/C

%description devel
This package contains the development headers that are used to build
the pilot-link package.  It also includes the static libraries
necessary to build static pilot apps.

If you want to develop PalmPilot synchronizing applications, you'll
need to install pilot-link-devel.

%prep 
%setup -q -n pilot-link.%{PACKAGE_VERSION}
%patch0 -p1 -b .install
%patch3 -p1 -b .pixdir
%patch4 -p1 -b .perl

%build
%configure
make
#pilot link should be already installed
cd Perl5
perl Makefile.PL
make
mv Makefile Makefile.mdk
cat Makefile.mdk | sed 's/PREFIX = \/usr/PREFIX = \/var\/tmp\/pilot-link-root\/usr/' > Makefile
cd ..

%install
make install prefix=$RPM_BUILD_ROOT/usr
cd Perl5
make install
cd ..
mv $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/i386-linux/ $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.005/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO
/usr/lib/perl5/site_perl/5.005/auto/*
/usr/lib/perl5/site_perl/5.005/PDA/*
/usr/lib/libpisock.so.3.0.1
/usr/lib/libpisock.so.3
/usr/lib/pilot-link/*
/usr/bin/*
/usr/man/man*/*

%files devel
%defattr(-,root,root)
/usr/lib/libpicc.a
/usr/lib/libpisock.a
/usr/lib/libpisock.so
/usr/lib/libpisock.la
/usr/include/*

%changelog
* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-10mdk
- fix group

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 0.9.3-9mdk
- cleanup
- patch for perl 5.6
- rebuild for new readline

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.9.3-8mdk
- Fix group.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.3-7mdk
- libtoolize --force.

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Fixes sync-plan
- Fixed spec to build and install perl modules

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.3.
- Fix building as user.
- Rewrote spec.

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- %post / %postun: make -p

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl

